Update a configuration profile for a branch
Authorization
A service token or OAuth token must have at least one of the following access or scopes in order to use this API endpoint:
Service Token Accesses
write_database
OAuth Scopes
| Resource | Scopes |
|---|---|
| Organization | write_databases |
| Database | write_database |
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Organization name slug from list_organizations. Example: acme.
Database name slug from list_databases. Example: app-db.
Branch name from list_branches. Example: main.
Name from list_shard_configuration_profiles.
Body
The new name for the configuration profile
The new cluster size for the configuration profile
Extensions to enable. This replaces the current set; omit it to leave them unchanged.
The new number of replicas for the configuration profile
Configuration profile parameters nested by namespace (e.g., {"pgconf": {"max_connections": "200"}}).
The PostgreSQL major version for the configuration profile
The PostgreSQL minor version for the configuration profile. Requires postgres_major_version when specified.
Response
Returns the updated configuration profile
The ID of the configuration profile
The name of the configuration profile
The architecture of the cluster size SKU
The name of the cluster size SKU
The display name of the cluster size SKU
Whether this is the default configuration profile
Whether shards using this configuration profile use metal instances
The number of replicas for shards using this configuration profile
The PostgreSQL image used by the configuration profile
The latest PostgreSQL image available to the configuration profile
The PostgreSQL major version used by the configuration profile
The PostgreSQL minor version used by the configuration profile
The latest PostgreSQL minor version available to the configuration profile
The number of shards using this configuration profile
The current state of the configuration profile
draft, pending, applying, ready When the configuration profile was created
When the configuration profile was last updated

